/*
 * 課題 CNAME-05 (解答).c
 */

/*
 * 05-QQQQ.c
 *	メモリ操作での和
 *	s_memory.h を利用し、
 *	104 番地の値から 121 番地の値を引いた値の差を 140 番地にいれる
 *	プログラムを作成しなさい
 */

#include <stdio.h>
#include "s_memory.h"

/*
 *	print_memory_value
 *		指定された address の記憶セルの内容を画面に出力する
 */

void print_memory_value ( int address ) {

	printf ( "%d 番地のセルに記録されている数値は %d です。\n",
			address,
			get_memory_value_at ( address )		/* 値の取出し */
	);

}

/*
 *
 */

int main ( int argc, char *argv[] ) {

	/* 値の設定 */

  /*
   * メモリセルの容量
   */

	set_memory_value_at ( 104, 328 );	/* 104 番地のセルに 328 を記録する */
	set_memory_value_at ( 121, 140 );	/* 121 番地のセルに 140 を記録する */

	/*
	 *	104 番地の値から 121 番地の値を引いた値の差を 140 番地にいれる
	 */


	set_memory_value_at ( 140,
		get_memory_value_at ( 104 ) - 
		get_memory_value_at ( 121 )
	  );


	/*
	 * 結果の出力
	 */

	print_memory_value ( 140 );			/* 140 番地のセルの内容を出力 */

  return 0;
}

/*
 *
 */

